curl --request GET \
--url https://api.spacebring.com/discounts/v1/redemptions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/discounts/v1/redemptions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/discounts/v1/redemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"redemptions": [
{
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitedItems": {
"enabled": true,
"values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
]
},
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
},
"amountOff": 123,
"currencyCode": "<string>",
"enabledForCredits": true,
"percentOff": 123,
"productTypes": []
},
"createDate": "2023-11-07T05:31:56Z",
"customer": {
"id": "<string>",
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"bookingRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creditPackageRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventTicketRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscriptionItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"promocode": {
"code": "<string>",
"expiration": {
"enabled": true,
"date": "2023-11-07T05:31:56Z"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitByFirstPurchase": true,
"limitedRedemption": {
"enabled": true,
"usage": 123,
"value": 123
}
},
"promocodeRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Retrieve redemptions
Retrieve all discount redemptions. Either couponRef or promocodeRef is required.
OAuth
Required scopes:invoices.readonly or invoicesAuthorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the coupon. Either couponRef or promocodeRef is required
The id of the promocode. Either couponRef or promocodeRef is required
The number of items to return
1 <= x <= 100Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Response
Success
Show child attributes
Show child attributes
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.
Was this page helpful?